Bug 492521 - qpid-config and qpid-tool show deleted queue
qpid-config and qpid-tool show deleted queue
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
high Severity medium
: 1.1.2
: ---
Assigned To: Ted Ross
Martin Kudlej
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 04:57 EDT by Gordon Sim
Modified: 2009-06-12 13:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 13:39:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (off of svn revision 752581) that fixes this problem. (895 bytes, patch)
2009-06-05 17:16 EDT, Ted Ross
no flags Details | Diff

  None (edit)
Description Gordon Sim 2009-03-27 04:57:02 EDT
Description of problem:

The command line management tools keep showing a durable queue that was recovered on last restart but subsequently deleted.

Version-Release number of selected component (if applicable):

qpidd-0.5.752581-1.el5
python-qpid-0.5.752581-1.el5

How reproducible:

100%

Steps to Reproduce:
1. create durable queue using qpid-config (E.g. qpid-config --durable add my-queue)
2. restart qpidd (E.g /sbin/service qpidd restart)
3. delete the queue (E.g. qpid-config del queue my-queue)
4. list queues (I.e. qpid-config queues)
  
Actual results:

The deleted queue is still shown by both qpid-config and qpid-tool. If you restart qpidd again then it disappears.

Expected results:

The queue has been deleted so should not appear in the list produced by 'qpid-config queues'. In qpid-tool it should be marked as deleted.

Additional info:
Comment 1 Ted Ross 2009-06-05 17:16:10 EDT
Created attachment 346717 [details]
Patch (off of svn revision 752581) that fixes this problem.
Comment 2 Ted Ross 2009-06-05 17:41:22 EDT
This is fixed upstream at revision 782146.
Comment 3 Gordon Sim 2009-06-09 04:34:38 EDT
Fixed in qpidd-0.5.752581-13.el5
Comment 4 Martin Kudlej 2009-06-09 07:05:29 EDT
Tested on RHEL 5.3 i386 with qpidd-0.5.752581-12 and it doesn't work. Tested on RHEL 5.3/4.7 i386/x86_64 with qpidd-0.5.752581-13 and it works. -->VERIFIED
Comment 6 errata-xmlrpc 2009-06-12 13:39:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1097.html

Note You need to log in before you can comment on or make changes to this bug.